Debian Bug report logs - #551508
ttf-inconsolata: Hints file points to Inconsolata.ttf not Inconsolata.otf

version graph

Package: ttf-inconsolata; Maintainer for ttf-inconsolata is Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>; Source for ttf-inconsolata is src:fonts-inconsolata.

Reported by: Jakob Bohm <yawwuddeiboyoamyan@jbohm.dk>

Date: Sun, 18 Oct 2009 18:30:01 UTC

Severity: grave

Tags: patch

Found in version ttf-inconsolata/001.009-1

Fixed in versions 001.010-1, ttf-inconsolata/001.009-1lenny1

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#551508; Package ttf-inconsolata. (Sun, 18 Oct 2009 18:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakob Bohm <yawwuddeiboyoamyan@jbohm.dk>:
New Bug report received and forwarded. Copy sent to Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Sun, 18 Oct 2009 18:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakob Bohm <yawwuddeiboyoamyan@jbohm.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ttf-inconsolata: Hints file points to Inconsolata.ttf not Inconsolata.otf
Date: Sun, 18 Oct 2009 20:22:18 +0200
[Message part 1 (text/plain, inline)]
Package: ttf-inconsolata
Version: 001.009-1
Severity: grave
Tags: patch
Justification: renders package unusable

/etc/defoma/hints/ttf-inconsolata.hints tells the rest of Debian
to look for the installed font in Inconsolata.ttf, but it is
actually installed in Inconsolata.otf.

Because Debian packages are supposed to believe defoma when
looking for fonts, policy compliant packages will not be able to
use the package at all until this is fixed.

I have attached a simplistic patch for the broken hints file.


-- Package-specific info:
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name           Version        Description
+++-==============-==============-============================================
ii  fontconfig     2.6.0-3        generic font configuration library - support
ii  libfreetype6   2.3.7-2+lenny1 FreeType 2 font engine, shared library files
ii  libxft2        2.1.12-3       FreeType-based font drawing library for X

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31jbj3.4-43 (SMP w/4 CPU cores)
Locale: LANG=en_DK.UTF-8, LC_CTYPE=en_DK.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ttf-inconsolata depends on:
ii  defoma                       0.11.10-0.2 Debian Font Manager -- automatic f

ttf-inconsolata recommends no packages.

Versions of packages ttf-inconsolata suggests:
ii  fontconfig                    2.6.0-3    generic font configuration library
ii  x-ttcidfont-conf              31         TrueType and CID fonts configurati

-- no debconf information
[ttf-inconsolata.hints.patch (text/plain, attachment)]

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sat, 28 Nov 2009 14:33:10 GMT) Full text and rfc822 format available.

Notification sent to Jakob Bohm <yawwuddeiboyoamyan@jbohm.dk>:
Bug acknowledged by developer. (Sat, 28 Nov 2009 14:33:10 GMT) Full text and rfc822 format available.

Message #10 received at 551508-done@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Jakob Bohm <yawwuddeiboyoamyan@jbohm.dk>, 551508-done@bugs.debian.org
Subject: Re: Bug#551508: ttf-inconsolata: Hints file points to Inconsolata.ttf not Inconsolata.otf
Date: Sat, 28 Nov 2009 15:28:44 +0100
[Message part 1 (text/plain, inline)]
Version: 001.010-1


On Sun, 18 Oct 2009 20:22:18 +0200, Jakob Bohm wrote:

> /etc/defoma/hints/ttf-inconsolata.hints tells the rest of Debian
> to look for the installed font in Inconsolata.ttf, but it is
> actually installed in Inconsolata.otf.

> --- hints.bad/ttf-inconsolata.hints	2007-12-12 02:57:38.000000000 +0100
> +++ hints/ttf-inconsolata.hints	2009-10-18 18:27:59.000000000 +0200
> @@ -2 +2 @@
> -begin /usr/share/fonts/truetype/ttf-inconsolata/Inconsolata.ttf
> +begin /usr/share/fonts/truetype/ttf-inconsolata/Inconsolata.otf

Seems to be fixes:

gregoa@nerys:~/src/bsp2009/ttf-inconsolata$ grep begin ttf-inconsolata-001.*/debian/ttf-inconsolata.defoma-hints
ttf-inconsolata-001.009/debian/ttf-inconsolata.defoma-hints:begin /usr/share/fonts/truetype/ttf-inconsolata/Inconsolata.ttf
ttf-inconsolata-001.010/debian/ttf-inconsolata.defoma-hints:begin /usr/share/fonts/truetype/ttf-inconsolata/Inconsolata.otf

Cheers,
gregor, doing a versioned close

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    BOFH excuse #427:  network down, IP packets delivered via UPS 
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from bubulle@alioth.debian.org to control@bugs.debian.org. (Fri, 30 Jul 2010 10:36:02 GMT) Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Sun, 01 Aug 2010 02:06:07 GMT) Full text and rfc822 format available.

Notification sent to Jakob Bohm <yawwuddeiboyoamyan@jbohm.dk>:
Bug acknowledged by developer. (Sun, 01 Aug 2010 02:06:07 GMT) Full text and rfc822 format available.

Message #17 received at 551508-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 551508-close@bugs.debian.org
Subject: Bug#551508: fixed in ttf-inconsolata 001.009-1lenny1
Date: Sun, 01 Aug 2010 02:03:16 +0000
Source: ttf-inconsolata
Source-Version: 001.009-1lenny1

We believe that the bug you reported is fixed in the latest version of
ttf-inconsolata, which is due to be installed in the Debian FTP archive:

ttf-inconsolata_001.009-1lenny1.diff.gz
  to main/t/ttf-inconsolata/ttf-inconsolata_001.009-1lenny1.diff.gz
ttf-inconsolata_001.009-1lenny1.dsc
  to main/t/ttf-inconsolata/ttf-inconsolata_001.009-1lenny1.dsc
ttf-inconsolata_001.009-1lenny1_all.deb
  to main/t/ttf-inconsolata/ttf-inconsolata_001.009-1lenny1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 551508@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated ttf-inconsolata package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 30 Jul 2010 12:32:24 +0200
Source: ttf-inconsolata
Binary: ttf-inconsolata
Architecture: source all
Version: 001.009-1lenny1
Distribution: stable-proposed-updates
Urgency: low
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 ttf-inconsolata - monospace font for pretty code listings and for the terminal
Closes: 551508
Changes: 
 ttf-inconsolata (001.009-1lenny1) stable-proposed-updates; urgency=low
 .
   * Fix file name in defoma hints file. Closes: #551508
   * Fix font width to "Fixed" in defoma hints file as this makes the
     font unusable otherwise. Closes: LP#245258
Checksums-Sha1: 
 ccf3f0e6d1553b689007611ce294f4d2aa4899bd 1394 ttf-inconsolata_001.009-1lenny1.dsc
 d9da60c3428092df7ad16517ce5b9488ee55c913 4537 ttf-inconsolata_001.009-1lenny1.diff.gz
 5dab69461a2f8ae75fcb10df21f8fd2d188e4f00 104298 ttf-inconsolata_001.009-1lenny1_all.deb
Checksums-Sha256: 
 cfa01aa16a0066ea315be814708cc326b3fcce2867ebfadf2a2f6527beb31226 1394 ttf-inconsolata_001.009-1lenny1.dsc
 9d30f4a5187213ca7298cc73189bf433e50072d53a04f269c4e6247091b4f5df 4537 ttf-inconsolata_001.009-1lenny1.diff.gz
 9e0a1225bcba00839c6e09db67cf54df80ea2a1f622eefd3714278fb84407b93 104298 ttf-inconsolata_001.009-1lenny1_all.deb
Files: 
 af30ac8d6e9a53e1ff1d85e792a51b86 1394 x11 optional ttf-inconsolata_001.009-1lenny1.dsc
 280c27687cf599de8005362cb93fff43 4537 x11 optional ttf-inconsolata_001.009-1lenny1.diff.gz
 7d928cc7a5cfb3ef4d5db84e8be34f0b 104298 x11 optional ttf-inconsolata_001.009-1lenny1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMUrPE1OXtrMAUPS0RArNSAKCQ2zdyRxiUKtl7Jvz+smjlJmFeegCdFx0Y
GPxKgvjE2PZGMCcBAawu+9w=
=5K6+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Sep 2010 07:30:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:15:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.